Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.jmx
Class JmxRegistry

    java.lang.Object
      com.atomikos.icatch.admin.jmx.JmxRegistry

All Implemented Interfaces:
  JmxRegistryMBean, MBeanRegistration

    public class JmxRegistry

extends Object
implements JmxRegistryMBean

This class acts both as a JMX MBean ( allowing registration ) and as a registry (keeping server references statically). Clients can get a handle to a particular MBean server.

Constructor Summary
`JmxRegistry()`

Method Summary
`protected static void` | `addServer(JmxRegistry adder, MBeanServer server)`
`static Iterator` | `getServers()`
`void` | `postDeregister()`
`void` | `postRegister(Boolean arg0)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer arg0, ObjectName arg1)`
`protected static void` | `removeServer(JmxRegistry adder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxRegistry

    public JmxRegistry()

Method Detail

### getServers

    public static Iterator getServers()

### addServer

    protected static void addServer(JmxRegistry adder,
                                    MBeanServer server)

### removeServer

    protected static void removeServer(JmxRegistry adder)

### preRegister

    public ObjectName preRegister(MBeanServer arg0,
                                  ObjectName arg1)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean arg0)

  Specified by:
    `postRegister` in interface `MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.